service net/* {
	need = system/sysinit system/mountroot system/rundir;
	network_provider;

	script start = {
		DEVICE=$NAME
		echo "NET: Start: $DEVICE: ARGS: $#:$@"
		/sbin/ifup $DEVICE
        touch /var/lock/subsys/network
	};
	script stop = {
		DEVICE=$NAME
		echo "NET: Stop: $DEVICE: ARGS: $#:$@"
		/sbin/ifdown $DEVICE

		# remove lockfile if it was last interface
		count=$(ngc -s | grep net/ | wc -l)
		if [ "$count" = 0 ]; then
				rm -f /var/lock/subsys/network
		fi
	};
}
